# -*- coding: utf-8 -*-

from __future__ import unicode_literals

from django.db import migrations, models
from django.utils.text import slugify


class Migration(migrations.Migration):

    def load_addressscopes(apps, schema_editor):
        AddressScope = apps.get_model("address", "AddressScope")
        for address_scope in AddressScope.objects.all():
            address_scope.slug = slugify(address_scope.name)
            address_scope.save()

    dependencies = [
        ('address', '0004_auto_20161229_2106'),
    ]

    operations = [
        migrations.RunPython(load_addressscopes),
    ]
